Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162374 - 3 * is used uninitialized in this function
Summary: 3 * is used uninitialized in this function
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 12:12 UTC by David Binderman
Modified: 2018-04-11 17:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 16:17:21 UTC


Attachments (Terms of Use)

Description David Binderman 2005-07-03 12:12:32 UTC
Description of problem:

I just tried to compile package mozilla-1.7.8-2 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

1.

k_cos.c:125: warning: 'qx' is used uninitialized in this function

The source code is

	u.d = qx;

I agree with the compiler. Suggest initialise local variable "qx"
before first use.

2.

nsObjectFrame.cpp:2000: warning: 'rv' is used uninitialized in this function

The source code is

    return rv;  // done with printing

I agree with the compiler. Suggest initialise local variable "rv"
before first use.

3.

e_rem_pio2.c:204: warning: 'z' is used uninitialized in this function

The source code is

        ux.d = x; uz.d = z;

I agree with the compiler. Suggest initialise local variable "z"
before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matěj Cepl 2008-02-08 16:17:21 UTC
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]


Note You need to log in before you can comment on or make changes to this bug.